Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706358 - sys-process/htop-2.2.0 : fails to build with -fno-common or gcc-10
Summary: sys-process/htop-2.2.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Ruppert (idl0r)
URL: https://github.com/hishamhm/htop/pull...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-25 20:28 UTC by Toralf Förster
Modified: 2020-02-11 11:23 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.85 KB, text/plain)
2020-01-25 20:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,45.72 KB, text/plain)
2020-01-25 20:28 UTC, Toralf Förster
Details
environment (environment,104.02 KB, text/plain)
2020-01-25 20:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.59 KB, application/x-bzip)
2020-01-25 20:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.21 KB, application/x-bzip)
2020-01-25 20:28 UTC, Toralf Förster
Details
sys-process:htop-2.2.0:20200125-200611.log (sys-process:htop-2.2.0:20200125-200611.log,45.96 KB, text/plain)
2020-01-25 20:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.43 KB, application/x-bzip)
2020-01-25 20:28 UTC, Toralf Förster
Details
htop-2.2.0-gcc-10.patch (htop-2.2.0-gcc-10.patch,535 bytes, patch)
2020-01-25 20:40 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-25 20:28:27 UTC
      |    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -DNDEBUG  -pedantic -Wall -Wextra -std=c99 -D_XOPEN_SOURCE_EXTENDED -DSYSCONFDIR=\"/etc\" -I"./linux" -rdynamic -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -O2 -pipe -march=native -fno-common -c -o linux/LinuxCRT.o linux/LinuxCRT.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -DNDEBUG  -pedantic -Wall -Wextra -std=c99 -D_XOPEN_SOURCE_EXTENDED -DSYSCONFDIR=\"/etc\" -I"./linux" -rdynamic -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -O2 -pipe -march=native -fno-common -c -o linux/Battery.o linux/Battery.c
x86_64-pc-linux-gnu-gcc -pedantic -Wall -Wextra -std=c99 -D_XOPEN_SOURCE_EXTENDED -DSYSCONFDIR=\"/etc\" -I"./linux" -rdynamic -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -O2 -pipe -march=native -fno-common   -Wl,-O1 -Wl,--as-needed -o htop   AvailableMetersPanel.o CategoriesPanel.o CheckItem.o ClockMeter.o ColorsPanel.o ColumnsPanel.o CPUMeter.o CRT.o MainPanel.o DisplayOptionsPanel.o FunctionBar.o Hashtable.o Header.o htop.o ListItem.o LoadAverageMeter.o MemoryMeter.o Meter.o MetersPanel.o Object.o Panel.o BatteryMeter.o Process.o ProcessList.o RichString.o ScreenManager.o Settings.o SignalsPanel.o StringUtils.o SwapMeter.o TasksMeter.o UptimeMeter.o TraceScreen.o UsersTable.o Vector.o AvailableColumnsPanel.o AffinityPanel.o HostnameMeter.o OpenFilesScreen.o Affinity.o IncSet.o Action.o EnvScreen.o InfoScreen.o XAlloc.o linux/Platform.o linux/IOPriorityPanel.o linux/IOPriority.o linux/LinuxProcess.o linux/LinuxProcessList.o linux/LinuxCRT.o linux/Battery.o  -L/usr/lib64 -lncursesw -ltinfow -lm  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ClockMeter.o:(.bss+0x0): multiple definition of `backtraceArray'; CheckItem.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ClockMeter.o:(.bss+0x400): multiple definition of `CRT_termType'; CheckItem.o:(.bss+0x400): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 25 Jan 2020 18:26:13 +0000

emerge -qpvO sys-process/htop
[ebuild  N    ] sys-process/htop-2.2.0  USE="unicode -openvz -vserver"
Comment 1 Toralf Förster gentoo-dev 2020-01-25 20:28:30 UTC
Created attachment 604390 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-25 20:28:33 UTC
Created attachment 604392 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-25 20:28:35 UTC
Created attachment 604394 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-25 20:28:38 UTC
Created attachment 604396 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-25 20:28:41 UTC
Created attachment 604398 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-25 20:28:44 UTC
Created attachment 604400 [details]
sys-process:htop-2.2.0:20200125-200611.log
Comment 7 Toralf Förster gentoo-dev 2020-01-25 20:28:46 UTC
Created attachment 604402 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-25 20:36:22 UTC
Proposed fix upstream as https://github.com/hishamhm/htop/pull/982
Comment 9 Sergei Trofimovich gentoo-dev 2020-01-25 20:40:04 UTC
Created attachment 604404 [details, diff]
htop-2.2.0-gcc-10.patch
Comment 10 Larry the Git Cow gentoo-dev 2020-02-11 10:59:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d73d1c70594d18629f3ff35896363cc33aa1fad6

commit d73d1c70594d18629f3ff35896363cc33aa1fad6
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-11 10:59:33 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-11 10:59:33 +0000

    sys-process/htop: Fix building with -fno-common
    
    Closes: https://bugs.gentoo.org/706358
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 sys-process/htop/files/htop-2.2.0-gcc-10.patch | 27 ++++++++++++++++++++++++++
 sys-process/htop/htop-2.2.0.ebuild             |  1 +
 2 files changed, 28 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2020-02-11 11:23:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fa347583c1bf30e212cb38d529bbed3d233c9cc

commit 5fa347583c1bf30e212cb38d529bbed3d233c9cc
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-11 11:22:36 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-11 11:22:36 +0000

    sys-process/htop: Fix building with -fno-common
    
    Closes: https://bugs.gentoo.org/706358
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../htop/files/htop-3.0.0_beta5-gcc-10.patch       | 52 ++++++++++++++++++++++
 sys-process/htop/htop-3.0.0_beta5.ebuild           |  4 +-
 2 files changed, 54 insertions(+), 2 deletions(-)